Politician Trades
https://api.unusualwhales.com/api/politician-portfolios/recent_trades
Request
Authorization: Bearer <token>
Query Parameters
limit
Default 500 Max 500 Min 1
optional
How many items to return. Default: 500. Max: 500. Min: 1.
10
Default:
500
>= 1
<= 500
date
Optional Market Date
optional
A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.
2024-01-18
ticker
Optional Ticker
optional
Optional ticker symbol to filter results
IOVA
politician_id
Politician ID
optional
The Politician's ID that you'd like to filter by.
18f9fc95-4661-444e-99f5-99d3778e0c31
filter_late_reports
Filter Late Reports Only
optional
If true, will filter out any trades with a transaction date after the input date.
true
page
Page
optional
The page number for the data being requested (default is 1).
1
disclosure_newer_than
NewerThan
optional
If provided, will only return trades with a disclosure date >= this date.
1_715_083_417
disclosure_older_than
OlderThan
optional
If provided, will only return trades with a disclosure date <= this date.
1_715_083_417
transaction_newer_than
NewerThan
optional
If provided, will only return trades with a transaction date >= this date.
1_715_083_417
transaction_older_than
OlderThan
optional
If provided, will only return trades with a transaction date <= this date.
1_715_083_417
Responses
200 422 500Response Body 200 OK
amounts
Insider Trades Amount Range
The reported amount range of the transaction.
$1,000 - $15,000
filed_at_date
Insider Trades Filing Date
The filing date as ISO date.
2023-12-13
is_active
Is Active
Is the politician an active member.
G000585
issuer
Insider Trades Issuer
The person who executed the transaction.
spouse
member_type
Insider Trades Member Type
The type of person who executed the transaction.
true
name
Insider Trades Reporter's Standard Name
The Standardized name of the reporter (if found).
Stephen Cohen
notes
Insider Trades Filing Notes
Notes of the filing.
Subholding Of: Stephens Advantage Account Description: FT UNIT 10479 PFD mutual-fund 32500
politician_id
Politician ID
The Politician's ID that you'd like to filter by.
18f9fc95-4661-444e-99f5-99d3778e0c31
reporter
Insider Trades Reporter
The person who reported the transaction (as written in filling).
Stephen Cohen
ticker
Stock Ticker
The stock ticker.
AAPL
transaction_date
Insider Trades Transaction Date
The transaction date as ISO date.
2023-12-06
txn_type
Insider Trades Transaction Type
The transaction type.
Sell
curl -X GET "https://api.unusualwhales.com/api/politician-portfolios/recent_trades" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Accept: application/json"
{
"data": [
{
"amounts": "$15,001 - $50,000",
"filed_at_date": "2023-02-13",
"is_active": true,
"issuer": "not-disclosed",
"member_type": "house",
"name": "Stephen Cohen",
"notes": "Subholding Of: Stephens Advantage Account Description: FT UNIT 10479 PFD mutual-fund 32500",
"politician_id": "18f9fc95-4661-444e-99f5-99d3778e0c31",
"reporter": "Stephen C.",
"ticker": "FHWVOX",
"transaction_date": "2023-02-06",
"txn_type": "Buy"
},
{
"amounts": "$1,000 - $15,000",
"filed_at_date": "2023-02-13",
"is_active": false,
"issuer": "joint",
"member_type": "house",
"name": "Deborah Ross",
"notes": "Subholding Of: Fidelity Brokerage Account stock 8000",
"politician_id": "5b1e3f4a-2d3c-4e5f-8a6b-7c8d9e0f1a2b",
"reporter": "Debby Ross",
"ticker": "MSFT",
"transaction_date": "2023-02-01",
"txn_type": "Sell"
}
]
}